Bug 150874 - CAN-2005-0399 thunderbird GIF buffer overflow
CAN-2005-0399 thunderbird GIF buffer overflow
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: thunderbird (Show other bugs)
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
: Security
: 151708 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-03-11 10:50 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-23 14:26:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-11 10:50:23 EST
The mozilla applications contain several image decoders for displaying images 
of various formats. Amoung the most common image formats is the Graphic 
Information File (GIF) format. The code for this parser is located in:


A vulnerability exists in the parsing of a Netscape-specific extension block 
that specifies a 32-bit size integer indicating how much image data the 
application should buffer, which is shown (taken from the gif_write() 
Comment 1 Josh Bressers 2005-03-21 18:23:20 EST
*** Bug 151708 has been marked as a duplicate of this bug. ***
Comment 2 John W. Lockhart 2005-03-22 13:29:07 EST
See bug 150866 for the demo gif
Comment 3 Josh Bressers 2005-03-23 13:36:48 EST
Lifting embargo
Comment 4 Josh Bressers 2005-03-23 14:26:42 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.